# PacketCreateServer (SubServers.Client.Bukkit)

net.ME1312.SubServers.Client.Bukkit.Network.Packet

## Class PacketCreateServer

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Network.Packet.PacketCreateServer

All Implemented Interfaces:
  PacketIn, PacketOut

    public class PacketCreateServer
    extends java.lang.Object
    implements PacketIn, PacketOut

Create Server Packet

### Nested Class Summary

Nested Classes
`static class` `PacketCreateServer.ServerType`

### Constructor Summary

Constructors
Constructor and Description
`PacketCreateServer()` New PacketCreateServer (In)
`PacketCreateServer(java.util.UUID player, java.lang.String name, java.lang.String host, PacketCreateServer.ServerType type, Version version, int port, int memory, JSONCallback... callback)` New PacketCreateServer (Out)
`PacketCreateServer(java.util.UUID player, UIRenderer.CreatorOptions options, JSONCallback... callback)` New PacketCreateServer (Out)

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(org.json.JSONObject data)` Execute Incoming Packet
`org.json.JSONObject` `generate()` Generate JSON Packet Contents
`Version` `getVersion()` Get Packet Version

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketCreateServer

    public PacketCreateServer()

New PacketCreateServer (In)

#### PacketCreateServer

    public PacketCreateServer(java.util.UUID player,
                              java.lang.String name,
                              java.lang.String host,
                              PacketCreateServer.ServerType type,
                              Version version,
                              int port,
                              int memory,
                              JSONCallback... callback)

New PacketCreateServer (Out)

Parameters:
  `player` - Player Creating
  `name` - Server Name
  `host` - Host to use
  `type` - Server Type
  `version` - Server Version
  `port` - Server Port
  `memory` - Server Memory
  `callback` - Callbacks

#### PacketCreateServer

    public PacketCreateServer(java.util.UUID player,
                              UIRenderer.CreatorOptions options,
                              JSONCallback... callback)

New PacketCreateServer (Out)

Parameters:
  `player` - Player Creating
  `options` - Creator UI Options
  `callback` - Callbacks

### Method Detail

#### generate

    public org.json.JSONObject generate()

Description copied from interface: `PacketOut`
Generate JSON Packet Contents

Specified by:
  `generate` in interface `PacketOut`
Returns:
  Packet Contents

#### execute

    public void execute(org.json.JSONObject data)

Description copied from interface: `PacketIn`
Execute Incoming Packet

Specified by:
  `execute` in interface `PacketIn`
Parameters:
  `data` - Incoming Data

#### getVersion

    public Version getVersion()

Description copied from interface: `PacketIn`
Get Packet Version

Specified by:
  `getVersion` in interface `PacketIn`
Specified by:
  `getVersion` in interface `PacketOut`
Returns:
  Packet Version